org.yaml.snakeyaml.events

## Class CommentEvent

- java.lang.Object
- - org.yaml.snakeyaml.events.Event
  - - org.yaml.snakeyaml.events.CommentEvent

    public final class CommentEvent
    extends Event

Marks a comment block value.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.yaml.snakeyaml.events.Event

`Event.ID`

### Constructor Summary

Constructors
Constructor and Description
`CommentEvent(CommentType type, String value, Mark startMark, Mark endMark)`

### Method Summary

Methods
`protected String` `getArguments()` Generate human readable representation of the Event
`CommentType` `getCommentType()` The comment type.
`Event.ID` `getEventId()` Get the type (kind) if this Event
`String` `getValue()` String representation of the value.

### Methods inherited from class org.yaml.snakeyaml.events.Event

`equals, getEndMark, getStartMark, hashCode, is, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CommentEvent

    public CommentEvent(CommentType type,
                String value,
                Mark startMark,
                Mark endMark)

### Method Detail

#### getValue

    public String getValue()

String representation of the value.

Without quotes and escaping.

Returns:
  Value a comment line string without the leading '#' or a blank line.

#### getCommentType

    public CommentType getCommentType()

The comment type.

Returns:
  the commentType.

#### getArguments

    protected String getArguments()

Description copied from class: `Event`
Generate human readable representation of the Event

Overrides:
  `getArguments` in class `Event`
Returns:
  representation fore humans
See Also:
  "__repr__ for Event in PyYAML"

#### getEventId

    public Event.ID getEventId()

Description copied from class: `Event`
Get the type (kind) if this Event

Specified by:
  `getEventId` in class `Event`
Returns:
  the ID of this Event